a {
    color: inherit;
}

a:hover {
    color: inherit;
    text-decoration: none;
}

body.is-open {
    position: relative;
    overflow: hidden;
}

body.is-open::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(26, 107, 129, 0.4);
    z-index: 1000;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1001;
    background-color: transparent;
    transition: .4s ease;
}

.header.active {
    background-color: #FFF;
}

.header .inner {
    margin: 0 7%;
    display: flex;
    align-items: center;
    padding: 16px 0;
}

.header .inner .h_menu {
    flex: 1;
}

.header .inner .h_menu .menu-inner {
    display: flex;

    gap: 40px;
    justify-content: flex-end;
}

.header .inner .h_logo {
    max-width: 120px;
    width: 100%;
    position: relative;
    z-index: 1001;
}

.header .inner .h_menu .menu-item {
    font-family: "Noto Sans JP", sans-serif;
    font-weight: 500;
    font-size: 15px;
    color: #000;
}

.header .inner .h_menu .menu-item:hover {
    color: #005AAA;
}

.header .inner .h_menu .has-child {
    position: relative;
}

.header .inner .h_menu .menu-trigger {
    display: flex;
    align-items: center;
    gap: 4px;

}

.header .inner .h_menu .child-menu {
    opacity: 0;
    visibility: hidden;
    width: 253px;
    background-color: #FFF;
    border-radius: 10px;
    padding: 24px 32px;
    position: absolute;
    left: -100%;
    top: calc(100% + 67px);
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.header .inner .h_menu .child-menu a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #000000;
}

.header .inner .has-child.open .child-menu {
    opacity: 1;
    visibility: visible;
}


.hamburger, .hamburger-menu {
    display: none;
}

@media (min-width: 1024px) {
    .header .inner .has-child:hover .menu-trigger {
        cursor: pointer;
    }

    .header .inner .has-child.is-open .child-menu {
        opacity: 1;
        visibility: visible;
    }

    .header .inner .h_menu .has-child::after {
        content: "";
        position: absolute;
        top: 100%;
        left: -100%;
        width: 253px;
        height: 67px;
        /* ← gap分だけ */
    }

    .header .inner .h_menu>.menu-item:hover a {
        color: #000;
    }

    .header .inner .has-child:hover .child-menu a:hover {
        color: #005AAA;
    }
}

@media (max-width: 1023px) {
    .header .inner .h_menu {
        display: none;
    }

    .hamburger-menu {
        display: block;
        position: fixed;
        top: 80px;
        right: 0;
        width: 100%;
        height: calc(100% - 80px);
        background: #005AAA;
        overflow: auto;

        transform: translateX(100%);
        transition: transform .3s ease;
        z-index: 1000;
    }

    .hamburger-menu .menu-inner {
        display: flex;
        padding: 32px 0 40px;
        flex-direction: column;
        justify-content: flex-start;
        gap: 24px;
        margin: 0 7%;
        align-items: center;
    }

    .hamburger-menu .menu-inner .menu-item {
        font-family: "Noto Sans JP", sans-serif;
        font-weight: 700;
        font-size: 16px;
        text-align: center;
        color: #fff;
    }

    .hamburger-menu .menu-inner .has-child {
        display: flex;
        flex-direction: column;
        gap: 24px;
    }

    .hamburger-menu .menu-inner .has-child .child {
        display: flex;
        flex-direction: column;
        gap: 8px;
    }

    .hamburger-menu .menu-inner .has-child .child .menu-item {
        font-family: "Noto Sans JP", sans-serif;
        font-weight: 400;
        font-size: 14px;
        text-align: center;
        color: #fff;
    }

    .inner-contact {
        width: 100%;
        border-radius: 10px;
        background: #fff;
        box-shadow: 0px 3px 16px rgba(1, 30, 57, 0.1);
        padding: 32px 0;
        display: flex;
        flex-direction: column;
        gap: 16px;
        align-items: center;
    }

    .inner-contact .item {
        padding-bottom: 16px;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 8px;
        width: 100%;
    }

    .inner-contact .item .main {
        font-family: "Noto Sans JP", sans-serif;
        font-weight: 700;
        font-size: 14px;
        text-align: center;
        color: #001e39;

    }

    .inner-contact .item .morebtn {
        height: 40px;
        max-width: 220px;
    }

    .inner-contact .item .morebtn p {
        font-family: "Noto Sans JP", sans-serif;
        font-weight: 700;
        font-size: 14px;
        color: #fff;
    }

    .inner-contact .item .num {
        font-family: "Outfit", sans-serif;
        font-weight: 700;
        font-size: 30px;
        text-align: center;
        color: #005aaa;
    }

    .hamburger-menu.open {
        transform: translateX(0);
    }

    .hamburger {
        position: fixed;
        top: 15px;
        right: 16px;
        z-index: 1100;
        width: 50px;
        height: 50px;
        background-color: #005AAA;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .hamburger .line {
        position: absolute;
        width: 24px;
        height: 2px;
        background-color: #FFF;
        border-radius: 2px;
        transition: transform 0.3s ease, opacity 0.3s ease;
    }

    /* 初期位置 */
    .hamburger .line:nth-child(1) {
        transform: translateY(-8px);
    }

    .hamburger .line:nth-child(2) {
        transform: translateY(0);
    }

    .hamburger .line:nth-child(3) {
        transform: translateY(8px);
    }

    /* active時（×） */
    .hamburger.active .line:nth-child(1) {
        transform: rotate(45deg);
    }

    .hamburger.active .line:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active .line:nth-child(3) {
        transform: rotate(-45deg);
    }
}

@media (max-width: 960px) {
    .header .inner .h_logo {
        max-width: 96px;
    }

    .header .inner {
        padding: 6px 0;
    }
}

.gjs-dashed .hamburger-menu {
    transform: translateX(0);
}